Query Customer Groups
curl --request GET \
--url https://api.jtl-cloud.com/erp/customerGroups \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/customerGroups"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/customerGroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"IsDefault": true,
"Discount": 123,
"IsNetPrice": true
}
]Customer
Query Customer Groups
deprecated
Query all customer groups
GET
/
customerGroups
Query Customer Groups
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
Returns all customer groups.
Unique internal ID of the customer group.
The name of the customer group.
Indicates if the customer group is the default group. Only one group can be selected as the default group.
The discounted percentage for the customer group.
Indicates if the customer group sees the net price in the online shop.
Was this page helpful?